{
  "name": "hardhat-project",
  "devDependencies": {
    "@ethereum-waffle/mock-contract": "^3.4.4",
    "@nomicfoundation/hardhat-toolbox": "^1.0.2",
    "@nomiclabs/hardhat-ethers": "npm:hardhat-deploy-ethers@^0.3.0-beta.13",
    "@typescript-eslint/eslint-plugin": "^5.30.7",
    "eslint-config-prettier": "^8.5.0",
    "eslint-config-standard": "^17.0.0",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-prettier": "^4.2.1",
    "ethers": "^5.5.4",
    "hardhat": "^2.10.1",
    "hardhat-deploy": "^0.11.11",
    "prettier-plugin-solidity": "^1.0.0-dev.23",
    "solhint": "^3.3.7"
  },
  "scripts": {
    "compile": "npx hardhat compile",
    "test": "npx hardhat test",
    "lint": "npm run lint:sol && npm run lint:ts && npm run prettier:check",
    "lint:sol": "solhint --max-warnings 5 \"contracts/**/*.sol\"",
    "lint:ts": "eslint --ignore-path ./.eslintignore --ext .js,.ts .",
    "prettier": "prettier '**/*.(js|ts|json|sol)' --write",
    "prettier:check": "prettier --check \"**/*.{js,json,md,sol,ts}\""
  },
  "dependencies": {
    "@openzeppelin/contracts": "^4.7.1",
    "dotenv": "^16.0.1"
  }
}
